curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/attached-volumes/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/attached-volumes/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/attached-volumes/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used for authenticating the request
Example
<API_KEY>Specifies the location filter for attached volumes.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the attached volumes response
object
Unique identifier for the attached volume
Name of the attached volume
Total size of the attached volume as a stringified number of bytes
Human-readable total size of the volume
IOPS per second for the attached volume
Size of the attached volume in gigabytes
Hourly price of the attached volume as a formatted string.
Monthly price of the attached volume
Indicates whether the attached volume is encrypted.
object
Status message indicating the result of the request
Example
{ "code": 200, "data": [ { "id": 1234, "volume_name": "V_100GB_160", "total_size": "12345", "total_size_string": "100.0 GB", "total_iops_sec": "1500", "bs_size": 0.1, "hourly_price": "Rs. 0.69/Hour", "monthly_price": "Rs. 500.0 Monthly", "is_encrypted": false } ], "message": "Success"}